#ifndef Radio_Widget_H
#define Radio_Widget_H
#include "../BaseWidget.h"
#include <memory>


class Text_Button;
class Double_Text_Button;
class Frequent_Shower;
class Progress_Bar;
class Console_Widget;
class Show_Time;


class Radio_Widget : public Base_Widget {
Q_OBJECT
public:
    explicit Radio_Widget(QWidget *parent = nullptr);
    ~Radio_Widget() override;
    int voice_value = 0, rf_gain_value = 0;
    QPushButton *m1, *m2, *m3, *m4, *m5, *m6;
    Frequent_Shower *select_value_widget;
    Progress_Bar *progress_bar1, *progress_bar2;
    void init_menu();
    QWidget* create_spectrogram_power_plot();
    QWidget* create_audio_spectrogram_plot();
    QWidget* create_time_power_plot();
    QWidget* create_water_fall_plot();
    std::shared_ptr<renderive::Spectrum> spectrogram_line{};
    std::shared_ptr<renderive::Spectrum> audio_spectrogram_plot{};
    std::shared_ptr<renderive::Audio_Frequency> time_power{};
    std::shared_ptr<renderive::Waterfall> water_fall{};
protected:
    void focusInEvent(QFocusEvent *event) override;
    void keyPressEvent(QKeyEvent *event) override;

};
#endif



